#!/bin/bash

user_home=$(eval echo ~)
script_dir="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
launcher_name="media-pump.desktop"
launcher_script="$script_dir/$launcher_name"

launcher_dir="$user_home/Desktop"
if [ -d "$launcher_dir" ]; then
   launcher_script="$launcher_dir/$launcher_name"
fi

echo "Creating Launcher: $launcher_script"

echo "[Desktop Entry]" > $launcher_script
echo "Type=Application" >> $launcher_script
echo "Name=Media Pump" >> $launcher_script
echo "Comment=Media Pump - Piwigo Edition" >> $launcher_script
echo "Icon=$script_dir/gaspump.png" >> $launcher_script
echo "Exec=$script_dir/media-pump.sh" >> $launcher_script
echo "Terminal=false" >> $launcher_script
echo "Categories=Piwigo;Tools;Java;" >> $launcher_script

chmod 755 $launcher_script
